There's nothing in the works for 3.0.2, right?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by PotatisKnug, Nov 10, 2017.

  1. PotatisKnug
    OP

    PotatisKnug GBAtemp Fan

    Member
    2
    Jul 30, 2017
    Sweden
    In a dark cave
    I wanna update and buy something.
     
  2. aykay55

    aykay55 Professional Idiot

    Member
    3
    Apr 14, 2017
    United States
    Wherever there's food. And Nintendo.
    Well, it depends on how you look at it. Yes, there is something in the works with TeamReswitched, but you won't be buying anything for at least 2 years if you wait.

    The priority is 3.0.0, to reward people for not updating for Xenoblade, Oddysey, etc.
     
    Last edited by aykay55, Nov 10, 2017
  3. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    Just update. 3.0 wont be the only exploitable firmware.
     
    Gnarmagon likes this.
  4. PotatisKnug
    OP

    PotatisKnug GBAtemp Fan

    Member
    2
    Jul 30, 2017
    Sweden
    In a dark cave
    Man. That's bad. Does the proxy thingamabobber work for the eshop or is it patched?
     
  5. aykay55

    aykay55 Professional Idiot

    Member
    3
    Apr 14, 2017
    United States
    Wherever there's food. And Nintendo.
    Not sure, probably not. Also, I don't think <=3.0.0 homebrew will come very soon either. At least 1-1.5 years. Exploits are far from having Homebrew Apps. Think of homebrew like an airport. An exploit is only walking through the entrance, you still have to get through security, more security, terminals, check-in, even more security, gates, then the airplane (Homebrew)
     
    PotatisKnug likes this.
  6. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    13
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    Nope. Can't use eshop or play online without updating, even with fiddler proxy set up. Also won't be able to play any newer games, and potentially future physical copies of older games even.
     
  7. PotatisKnug
    OP

    PotatisKnug GBAtemp Fan

    Member
    2
    Jul 30, 2017
    Sweden
    In a dark cave
    That's a really good anology. Damn.

    — Posts automatically merged - Please don't double post! —

    Man. Guess i'll update my switch after all.
     
    aykay55 likes this.
  8. aykay55

    aykay55 Professional Idiot

    Member
    3
    Apr 14, 2017
    United States
    Wherever there's food. And Nintendo.
    That's what I've been trying to tell everyone, it's not worth it. Everyone assumes that every Nintendo console will be just like the Wii U & 3DS.

    — Posts automatically merged - Please don't double post! —

    And it took me 4 minutes to come up with that analogy lol.
     
  9. Memoir

    Memoir Just a Memory

    Member
    17
    GBAtemp Patron
    Memoir is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jun 24, 2007
    United States
    Somewhere, over there!
    That's too long. Shoulda taken 5 seconds.
     
    PotatisKnug and satan89 like this.
  10. aykay55

    aykay55 Professional Idiot

    Member
    3
    Apr 14, 2017
    United States
    Wherever there's food. And Nintendo.
    I'm sorry my brain function speeds are not up to par.
     
  11. Nezztor

    Nezztor GBAtemp Regular

    Member
    3
    Nov 8, 2016
    Mexico
    Only plutoo had hombrew right now ,and the exploit he used is different for smhax so the kernelhax can be on any fw
     
  12. TR_mahmutpek

    TR_mahmutpek medic

    Member
    4
    Jul 28, 2015
    Turkey
    I am on 3.0.1? And I have splatoon 2 but I didnt update yet? Should I update? I mean fw 3.0.1 has advantages like 3.0.0, or non exploitable?
     
  13. delete12345

    delete12345 GBAtemp Advanced Fan

    Member
    5
    Feb 27, 2010
    United States
    Taipei, Taiwan
    If v3.0.1, just update, no need to stay on this version.
     
    the_randomizer likes this.
  14. V-Temp

    V-Temp GBAtemp Advanced Fan

    Member
    5
    Jul 20, 2017
    United States
    That's not how a kernel works. You can patch a kernel just the same as you can patch an entry point to unusual permissions ala smhax.

    And he doesn't have 'homebrew'.

    I think a lot of these words don't mean what you think they mean.
     
    peteruk likes this.
  15. TR_mahmutpek

    TR_mahmutpek medic

    Member
    4
    Jul 28, 2015
    Turkey
    Thx
     
  16. PotatisKnug
    OP

    PotatisKnug GBAtemp Fan

    Member
    2
    Jul 30, 2017
    Sweden
    In a dark cave
    Yee boi
     
  17. DayVeeBoi

    DayVeeBoi GBAtemp Fan

    Member
    3
    GBAtemp Patron
    DayVeeBoi is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Aug 17, 2015
    Canada
    Ontario
    I keep seeing you posting stuff like this in all these switch firmware threads, and trying to tell people they should update but you don't seem to be particularly knowledgeable in what's going on in the scene or referencing anything to back up your position. Maybe you should stop.
     
    Memoir likes this.
  18. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    21
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Oh? Are you suggesting that people should just stick to older firmware, and end up missing out on Skyrim, Xenoblade 2, Mario Odyssey and limit their online? Even when the exploit is released for 3.0.0, there won't be any readily available homebrew apps for some time. As for 4.x.x, it will never have an exploit, it's the PS3 3.55 situation BS all over again; history repeats.

    I'm sorry, but if people want to update their systems, and not wait around, that's their choice, not yours.

    If people want to stay on 3.0.0, great, but they can't play the newest games or play games online; beggars can't be choosers.
     
    Last edited by the_randomizer, Nov 11, 2017
  19. Memoir

    Memoir Just a Memory

    Member
    17
    GBAtemp Patron
    Memoir is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jun 24, 2007
    United States
    Somewhere, over there!
    You can't say there won't be any future exploits. You have nothing to back up such a bullshit claim. As for updating or not? Its a choice. I know when I get my next switch I'm updating so I can download my games again. D:
     
  20. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    21
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Then there's no reason to tell people to stay on 3.0.0 forever, if what you say is true, that there will be future exploits. I sure as hell won't stay on 3.0.0. No reason to call me out on that, either, calm down. I only say that to save face, don't want to be burned by another hacking scene.:glare::huh:
     
    Last edited by the_randomizer, Nov 11, 2017
    aykay55 likes this.
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice